using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    ///  预写入地址
    /// </summary>
    public interface IStation525 : IProtocol
    {
        /// <summary>
        ///  数组下一个写入指针
        /// </summary>
        public short NextIndex { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode0 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber0 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart0 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd0 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode0 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType0 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo0 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode1 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber1 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart1 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd1 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode1 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType1 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo1 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode2 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber2 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart2 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd2 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode2 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType2 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo2 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode3 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber3 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart3 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd3 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode3 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType3 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo3 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode4 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber4 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart4 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd4 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode4 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType4 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo4 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode5 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber5 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart5 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd5 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode5 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType5 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo5 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode6 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber6 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart6 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd6 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode6 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType6 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo6 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode7 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber7 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart7 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd7 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode7 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType7 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo7 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode8 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber8 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart8 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd8 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode8 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType8 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo8 { get; set; }

        /// <summary>
        ///  条码
        /// </summary>
        [StringLength(254)]
        public string BcrCode9 { get; set; }

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber9 { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [Description("起始地址")]
        short GoodsStart9 { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short GoodsEnd9 { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [Description("任务类型")]
        short Mode9 { get; set; }

        /// <summary>
        /// 指令类型 1
        /// </summary>
        [Description("指令类型")]
        short CmdType9 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo9 { get; set; }

      
    }
}
